Manual IOS Upgrade

Discussion in 'Wii - Hacking' started by Alexrose, Jun 6, 2009.

Jun 6, 2009

Manual IOS Upgrade by Alexrose at 11:56 AM (1,433 Views / 0 Likes) 9 replies

  1. Alexrose
    OP

    Member Alexrose Untitled

    Joined:
    Jan 20, 2009
    Messages:
    783
    Location:
    England
    Country:
    United Kingdom
    I'm not interested in a "Upgrade to 4.0 with Waninkoko's upgrader or Nintendo" reply, or a big argument about "There's no reason not to upgrade".

    All I want is a precise answer of what are the necessary IOS released by Nintendo after 3.3v1 required to run newer games and wiiware. (e.g. IOS53 etc.)

    Can someone provide this information?
     
  2. carbonyle

    Member carbonyle GBAtemp Fan

    Joined:
    Jan 9, 2009
    Messages:
    360
    Location:
    Switzerland
    Country:
    Switzerland
    I'm exactly in the same situation: I want to keep my 3.2 firmware but i've manually installed all IOSs missing in 3.2
    How? It's very simple:

    - Use NUS Downloader to download and pack IOS legally to wad
    - Install them with WadManager 1.4 (or whatever)

    Some link:
    NUSD: http://wiibrew.org/wiki/NUS_Downloader
    IOS information (you'll need this to use NUSD): http://wiibrew.org/wiki/IOS_History

    I've installed: 37, 38, 50, 51, 53, 55, 56, 60, 61 (just to have all of them but you'll not need 50 or 60 if you use 3.2 for example)
     
  3. cwstjdenobs

    Member cwstjdenobs Sodomy non sapiens

    Joined:
    Mar 10, 2009
    Messages:
    1,757
    Location:
    Ankh-Morpork
    Country:
    United Kingdom
    I think you ony need the ones upto IOS56 at the moment.

    EDIT: And 61 for the shop channel.
     
  4. BlackEnigma

    Member BlackEnigma GBAtemp Fan

    Joined:
    Mar 1, 2009
    Messages:
    342
    Country:
    United States
    I'd like to get some insight into how safe this really is.
     
  5. Alexrose
    OP

    Member Alexrose Untitled

    Joined:
    Jan 20, 2009
    Messages:
    783
    Location:
    England
    Country:
    United Kingdom
    I have NAND dumps anyway.
     
  6. carbonyle

    Member carbonyle GBAtemp Fan

    Joined:
    Jan 9, 2009
    Messages:
    360
    Location:
    Switzerland
    Country:
    Switzerland
    I think it's more safe that install wad from the internet!
    NUSD check the integrity of downloaded content. But of course if you shutdown your wii during installation you're fucked up...
    I've used this long before bootmii and i've advice a lot of people... I'm responsible of.....0 brick!

    But you're right to think about safety... lot of people do stupid things and come crying after
     
  7. Blue-K

    Member Blue-K No right of appeal.

    Joined:
    Jun 21, 2008
    Messages:
    2,572
    Location:
    Helvetica
    Country:
    Switzerland
    Mhm...I would recommend DOP-IOS. You can download all newest IOS, and it will also patch the Trucha-Bug in it...still, have BootMii as Boot2 and a NAND-Backup ready...but for me, it worked perfect [​IMG]

    Like said before, IOS 37, 38, 50, 51, 53, 55, 56, 60, 61 should do it...just select everyone and install it...
     
  8. BlackEnigma

    Member BlackEnigma GBAtemp Fan

    Joined:
    Mar 1, 2009
    Messages:
    342
    Country:
    United States
    Interesting. And thanks for the replies.
    I also have backed up my nand a few times.

    I knew that other ios were important but I was always under the impression that the most important ones were 38, 53, and 55.

    But yeah, I wouldn't even do anything if I thought there was even a slight chance of the power going off.

    Finally I never knew about DOP IOS

    Anyway thanks again.

    Edit: Now that I think about it I guess I am slightly paranoid about stuff even with Bootmii.
    I don't want any trouble.
    Kind of like I wouldn't kill myself even if I was 100% sure I could come back to life.
     
  9. illinialex24

    Member illinialex24 GBAtemp Advanced Fan

    Joined:
    May 26, 2009
    Messages:
    968
    Location:
    The Midwest
    Country:
    United States
    IOS60 is not necessary but I installed it anyway, doesnt affect compatability. If you dpn't have 4.0 it doesn't have to be patched. I just think it won't run.
     
  10. carbonyle

    Member carbonyle GBAtemp Fan

    Joined:
    Jan 9, 2009
    Messages:
    360
    Location:
    Switzerland
    Country:
    Switzerland
    In fact I've installed all IOS (like the 60) just because I like to swap firmware [​IMG]
    Just to test things...
    I don't have anymore wifi for my wii so I do everything offline (ARC offline, firmware IOS up/down grade with wad ...) Just for the fun.
     

Share This Page